diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_api.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_api.c
index b1d748f..6095d3b 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_api.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_api.c
@@ -1157,4 +1157,3 @@ s32 e1000_init_thermal_sensor_thresh(struct e1000_hw *hw)
 
 	return E1000_SUCCESS;
 }
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_manage.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_manage.c
index e1a2abe..a170039 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_manage.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_manage.c
@@ -552,5 +552,3 @@ s32 e1000_load_firmware(struct e1000_hw *hw, u8 *buffer, u32 length)
 
 	return E1000_SUCCESS;
 }
-
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_mbx.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_mbx.c
index 6d004b6..3ef0d98 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_mbx.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_mbx.c
@@ -523,4 +523,3 @@ s32 e1000_init_mbx_params_pf(struct e1000_hw *hw)
 		return E1000_SUCCESS;
 	}
 }
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_nvm.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_nvm.c
index ff42198..6188d00 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_nvm.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/e1000_nvm.c
@@ -963,5 +963,3 @@ etrack_id:
 	}
 	return;
 }
-
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb.h b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb.h
index a582f52..e5554ca 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb.h
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb.h
@@ -229,7 +229,7 @@ struct igb_lro_stats {
  */
 struct igb_lrohdr {
 	struct iphdr iph;
-	struct tcphdr th; 
+	struct tcphdr th;
 	__be32 ts[0];
 };
 
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_debugfs.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_debugfs.c
index d33c814..c07f9f5 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_debugfs.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_debugfs.c
@@ -26,4 +26,3 @@
 *******************************************************************************/
 
 #include "igb.h"
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_ethtool.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_ethtool.c
index f3c48b2..af7e68a 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_ethtool.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_ethtool.c
@@ -208,7 +208,7 @@ static int igb_get_settings(struct net_device *netdev, struct ethtool_cmd *ecmd)
 
 		ecmd->port = PORT_FIBRE;
 		ecmd->transceiver = XCVR_EXTERNAL;
-	} 
+	}
 
 	if (hw->mac.autoneg != 1)
 		ecmd->advertising &= ~(ADVERTISED_Pause |
@@ -1377,7 +1377,7 @@ static int igb_integrated_phy_loopback(struct igb_adapter *adapter)
 		}
 	} else {
 		/* enable MII loopback */
-		if (hw->phy.type == e1000_phy_82580) 
+		if (hw->phy.type == e1000_phy_82580)
 			e1000_write_phy_reg(hw, I82577_PHY_LBK_CTRL, 0x8041);
 	}
 
@@ -1403,7 +1403,7 @@ static int igb_integrated_phy_loopback(struct igb_adapter *adapter)
 	 */
 	if (hw->phy.type == e1000_phy_m88)
 		igb_phy_disable_receiver(adapter);
-	
+
 	mdelay(500);
 	return 0;
 }
@@ -1434,7 +1434,7 @@ static int igb_setup_loopback_test(struct igb_adapter *adapter)
                         E1000_WRITE_REG(hw, E1000_MPHY_ADDR_CTL, reg);
 
                         reg = E1000_READ_REG(hw, E1000_MPHY_DATA);
-                        reg |= E1000_MPHY_PCS_CLK_REG_DIGINELBEN; 
+                        reg |= E1000_MPHY_PCS_CLK_REG_DIGINELBEN;
                         E1000_WRITE_REG(hw, E1000_MPHY_DATA, reg);
                 }
 
@@ -1489,7 +1489,7 @@ static void igb_loopback_cleanup(struct igb_adapter *adapter)
 	u16 phy_reg;
 
         if ((hw->device_id == E1000_DEV_ID_DH89XXCC_SGMII) ||
- 	    (hw->device_id == E1000_DEV_ID_DH89XXCC_SERDES) ||
+	    (hw->device_id == E1000_DEV_ID_DH89XXCC_SERDES) ||
 	    (hw->device_id == E1000_DEV_ID_DH89XXCC_BACKPLANE) ||
             (hw->device_id == E1000_DEV_ID_DH89XXCC_SFP)) {
 		u32 reg;
@@ -1498,13 +1498,13 @@ static void igb_loopback_cleanup(struct igb_adapter *adapter)
 		reg = E1000_READ_REG(hw, E1000_MPHY_ADDR_CTL);
                 reg = (reg & E1000_MPHY_ADDR_CTL_OFFSET_MASK ) |
                         E1000_MPHY_PCS_CLK_REG_OFFSET;
-        	E1000_WRITE_REG(hw, E1000_MPHY_ADDR_CTL, reg);
+	E1000_WRITE_REG(hw, E1000_MPHY_ADDR_CTL, reg);
 
 		reg = E1000_READ_REG(hw, E1000_MPHY_DATA);
-        	reg &= ~E1000_MPHY_PCS_CLK_REG_DIGINELBEN;
-        	E1000_WRITE_REG(hw, E1000_MPHY_DATA, reg);
+	reg &= ~E1000_MPHY_PCS_CLK_REG_DIGINELBEN;
+	E1000_WRITE_REG(hw, E1000_MPHY_DATA, reg);
 	}
-		
+
 	rctl = E1000_READ_REG(hw, E1000_RCTL);
 	rctl &= ~(E1000_RCTL_LBM_TCVR | E1000_RCTL_LBM_MAC);
 	E1000_WRITE_REG(hw, E1000_RCTL, rctl);
@@ -1776,7 +1776,7 @@ static void igb_diag_test(struct net_device *netdev,
 
 		/* power up link for link test */
 		igb_power_up_link(adapter);
-		
+
 		/* Link test performed before hardware reset so autoneg doesn't
 		 * interfere with test result */
 		if (igb_link_test(adapter, &data[4]))
@@ -1981,7 +1981,7 @@ static int igb_set_coalesce(struct net_device *netdev,
 	if (ec->rx_coalesce_usecs == 0) {
 		adapter->dmac = IGB_DMAC_DISABLE;
 	}
-	
+
 	/* convert to rate of irq's per second */
 	if (ec->rx_coalesce_usecs && ec->rx_coalesce_usecs <= 3)
 		adapter->rx_itr_setting = ec->rx_coalesce_usecs;
@@ -2416,7 +2416,7 @@ static void igb_get_dmac(struct net_device *netdev,
 {
 	struct igb_adapter *adapter = netdev_priv(netdev);
 	edata->data = adapter->dmac;
-	
+
 	return;
 }
 #endif
@@ -2855,5 +2855,3 @@ void igb_set_ethtool_ops(struct net_device *netdev)
 }
 #endif /* HAVE_RHEL6_ETHTOOL_OPS_EXT_STRUCT */
 #endif	/* SIOCETHTOOL */
-
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_main.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_main.c
index bc3c6a3..fa24d16 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_main.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_main.c
@@ -9500,7 +9500,7 @@ static void igb_vmm_control(struct igb_adapter *adapter)
 	}
 
 		/* enable replication and loopback support */
- 		count = adapter->vfs_allocated_count || adapter->vmdq_pools;
+		count = adapter->vfs_allocated_count || adapter->vmdq_pools;
 		if (adapter->flags & IGB_FLAG_LOOPBACK_ENABLE && count)
 			e1000_vmdq_set_loopback_pf(hw, 1);
 		e1000_vmdq_set_anti_spoofing_pf(hw,
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_param.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_param.c
index 14439ad..f79ce7c 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_param.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_param.c
@@ -167,7 +167,7 @@ IGB_PARAM(max_vfs, "Number of Virtual Functions: 0 = disable, 1-7 enable, defaul
 /* MDD (Enable Malicious Driver Detection)
  *
  * Only available when SR-IOV is enabled - max_vfs is greater than 0
- * 
+ *
  * Valid Range: 0, 1
  *
  * Default Value:  1
@@ -845,4 +845,3 @@ void igb_check_options(struct igb_adapter *adapter)
 #endif
 	}
 }
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_procfs.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_procfs.c
index 2e7850c..4868202 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_procfs.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_procfs.c
@@ -63,12 +63,12 @@ bool igb_thermal_present(struct igb_adapter *adapter)
 	status = hw->mac.ops.init_thermal_sensor_thresh(hw);
 	if (status != E1000_SUCCESS)
 		return false;
-	
+
 	return true;
 }
 
 
-static int igb_macburn(char *page, char **start, off_t off, int count, 
+static int igb_macburn(char *page, char **start, off_t off, int count,
 			int *eof, void *data)
 {
 	struct e1000_hw *hw;
@@ -89,7 +89,7 @@ static int igb_macburn(char *page, char **start, off_t off, int count,
 		       (unsigned int)hw->mac.perm_addr[5]);
 }
 
-static int igb_macadmn(char *page, char **start, off_t off, 
+static int igb_macadmn(char *page, char **start, off_t off,
 		       int count, int *eof, void *data)
 {
 	struct e1000_hw *hw;
@@ -139,7 +139,7 @@ static int igb_porttype(char *page, char **start, off_t off, int count,
 			test_bit(__IGB_DOWN, &adapter->state));
 }
 
-static int igb_therm_location(char *page, char **start, off_t off, 
+static int igb_therm_location(char *page, char **start, off_t off,
 				     int count, int *eof, void *data)
 {
 	struct igb_therm_proc_data *therm_data =
@@ -151,7 +151,7 @@ static int igb_therm_location(char *page, char **start, off_t off,
 	return snprintf(page, count, "%d\n", therm_data->sensor_data->location);
 }
 
-static int igb_therm_maxopthresh(char *page, char **start, off_t off, 
+static int igb_therm_maxopthresh(char *page, char **start, off_t off,
 				    int count, int *eof, void *data)
 {
 	struct igb_therm_proc_data *therm_data =
@@ -164,7 +164,7 @@ static int igb_therm_maxopthresh(char *page, char **start, off_t off,
 			therm_data->sensor_data->max_op_thresh);
 }
 
-static int igb_therm_cautionthresh(char *page, char **start, off_t off, 
+static int igb_therm_cautionthresh(char *page, char **start, off_t off,
 				      int count, int *eof, void *data)
 {
 	struct igb_therm_proc_data *therm_data =
@@ -177,7 +177,7 @@ static int igb_therm_cautionthresh(char *page, char **start, off_t off,
 			therm_data->sensor_data->caution_thresh);
 }
 
-static int igb_therm_temp(char *page, char **start, off_t off, 
+static int igb_therm_temp(char *page, char **start, off_t off,
 			     int count, int *eof, void *data)
 {
 	s32 status;
@@ -188,7 +188,7 @@ static int igb_therm_temp(char *page, char **start, off_t off,
 		return snprintf(page, count, "error: no therm_data\n");
 
 	status = e1000_get_thermal_sensor_data(therm_data->hw);
- 	if (status != E1000_SUCCESS)
+	if (status != E1000_SUCCESS)
 		snprintf(page, count, "error: status %d returned\n", status);
 
 	return snprintf(page, count, "%d\n", therm_data->sensor_data->temp);
@@ -211,7 +211,7 @@ struct igb_proc_type igb_internal_entries[] = {
 	{"location", &igb_therm_location},
 	{"temp", &igb_therm_temp},
 	{"cautionthresh", &igb_therm_cautionthresh},
-	{"maxopthresh", &igb_therm_maxopthresh},	
+	{"maxopthresh", &igb_therm_maxopthresh},
 	{"", NULL}
 };
 
@@ -243,7 +243,7 @@ void igb_del_proc_entries(struct igb_adapter *adapter)
 			if (igb_proc_entries[index].read == NULL)
 				break;
 		        remove_proc_entry(igb_proc_entries[index].name,
-					  adapter->info_dir); 
+					  adapter->info_dir);
 		}
 		remove_proc_entry("info", adapter->eth_dir);
 	}
@@ -253,12 +253,12 @@ void igb_del_proc_entries(struct igb_adapter *adapter)
 }
 
 /* called from igb_main.c */
-void igb_procfs_exit(struct igb_adapter *adapter) 
+void igb_procfs_exit(struct igb_adapter *adapter)
 {
 	igb_del_proc_entries(adapter);
 }
 
-int igb_procfs_topdir_init(void) 
+int igb_procfs_topdir_init(void)
 {
 	igb_top_dir = proc_mkdir("driver/igb", NULL);
 	if (igb_top_dir == NULL)
@@ -267,13 +267,13 @@ int igb_procfs_topdir_init(void)
 	return 0;
 }
 
-void igb_procfs_topdir_exit(void) 
+void igb_procfs_topdir_exit(void)
 {
 	remove_proc_entry("driver/igb", NULL);
 }
 
 /* called from igb_main.c */
-int igb_procfs_init(struct igb_adapter *adapter) 
+int igb_procfs_init(struct igb_adapter *adapter)
 {
 	int rc = 0;
 	int i;
@@ -305,10 +305,10 @@ int igb_procfs_init(struct igb_adapter *adapter)
 		if (igb_proc_entries[index].read == NULL) {
 			break;
 		}
-		if (!(create_proc_read_entry(igb_proc_entries[index].name, 
-					   0444, 
-					   adapter->info_dir, 
-					   igb_proc_entries[index].read, 
+		if (!(create_proc_read_entry(igb_proc_entries[index].name,
+					   0444,
+					   adapter->info_dir,
+					   igb_proc_entries[index].read,
 					   adapter))) {
 
 			rc = -ENOMEM;
@@ -337,14 +337,14 @@ int igb_procfs_init(struct igb_adapter *adapter)
 			 * will be needing
 			 */
 			adapter->therm_data[i].hw = &adapter->hw;
-			adapter->therm_data[i].sensor_data = 
+			adapter->therm_data[i].sensor_data =
 				&adapter->hw.mac.thermal_sensor_data.sensor[i];
 
 			if (!(create_proc_read_entry(
-					   igb_internal_entries[index].name, 
-					   0444, 
-					   adapter->therm_dir[i], 
-					   igb_internal_entries[index].read, 
+					   igb_internal_entries[index].name,
+					   0444,
+					   adapter->therm_dir[i],
+					   igb_internal_entries[index].read,
 					   &adapter->therm_data[i]))) {
 				rc = -ENOMEM;
 				goto fail;
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_regtest.h b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_regtest.h
index a6761db..18da64a 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_regtest.h
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_regtest.h
@@ -247,5 +247,3 @@ static struct igb_reg_test reg_test_82575[] = {
 						0xFFFFFFFF, 0xFFFFFFFF },
 	{ 0, 0, 0, 0 }
 };
-
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_vmdq.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_vmdq.c
index 90d96e6..015c895 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_vmdq.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/igb_vmdq.c
@@ -434,4 +434,3 @@ void igb_vmdq_set_ethtool_ops(struct net_device *netdev)
 
 
 #endif /* CONFIG_IGB_VMDQ_NETDEV */
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat.h b/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat.h
index 54d1f86..44b9ebf 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat.h
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat.h
@@ -1184,7 +1184,7 @@ static inline struct device *pci_dev_to_dev(struct pci_dev *pdev)
 	return (struct device *) pdev;
 }
 
-#define pdev_printk(lvl, pdev, fmt, args...) 	\
+#define pdev_printk(lvl, pdev, fmt, args...)	\
 	printk("%s %s: " fmt, lvl, pci_name(pdev), ## args)
 #define dev_err(dev, fmt, args...)            \
 	pdev_printk(KERN_ERR, to_pci_dev(dev), fmt, ## args)
@@ -3807,7 +3807,7 @@ static inline bool is_link_local_ether_addr(const u8 *addr)
 	     pos = hlist_entry_safe((pos)->member.next, typeof(*(pos)), member))
 
 #undef hlist_for_each_entry_safe
-#define hlist_for_each_entry_safe(pos, n, head, member) 		    \
+#define hlist_for_each_entry_safe(pos, n, head, member)		    \
 	for (pos = hlist_entry_safe((head)->first, typeof(*pos), member);   \
 	     pos && ({ n = pos->member.next; 1; });			    \
 	     pos = hlist_entry_safe(n, typeof(*pos), member))
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat_ethtool.c b/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat_ethtool.c
index 3adf869..e1a8938 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat_ethtool.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/igb/kcompat_ethtool.c
@@ -37,11 +37,11 @@
  *
  * Modification by sfeldma@pobox.com to work as backward compat
  * solution for pre-ethtool_ops kernels.
- * 	- copied struct ethtool_ops from ethtool.h
- * 	- defined SET_ETHTOOL_OPS
- * 	- put in some #ifndef NETIF_F_xxx wrappers
- * 	- changes refs to dev->ethtool_ops to ethtool_ops
- * 	- changed dev_ethtool to ethtool_ioctl
+ *	- copied struct ethtool_ops from ethtool.h
+ *	- defined SET_ETHTOOL_OPS
+ *	- put in some #ifndef NETIF_F_xxx wrappers
+ *	- changes refs to dev->ethtool_ops to ethtool_ops
+ *	- changed dev_ethtool to ethtool_ioctl
  *      - remove EXPORT_SYMBOL()s
  *      - added _kc_ prefix in built-in ethtool_op_xxx ops.
  */
@@ -1169,4 +1169,3 @@ int _kc_generic_mii_ioctl(struct mii_if_info *mii_if,
 	return rc;
 }
 #endif /* > 2.4.6 */
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_82599.c b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_82599.c
index 1ad4b76..017dfe1 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_82599.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_82599.c
@@ -2311,4 +2311,3 @@ release_i2c_access:
 
 	return status;
 }
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_api.c b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_api.c
index 9a0a43e..ef7ce62 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_api.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_api.c
@@ -1155,4 +1155,3 @@ void ixgbe_release_swfw_semaphore(struct ixgbe_hw *hw, u16 mask)
 	if (hw->mac.ops.release_swfw_sync)
 		hw->mac.ops.release_swfw_sync(hw, mask);
 }
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_common.c b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_common.c
index a0a0046..93659ca 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_common.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_common.c
@@ -4080,4 +4080,3 @@ s32 ixgbe_init_thermal_sensor_thresh_generic(struct ixgbe_hw *hw)
 	}
 	return status;
 }
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_main.c b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_main.c
index cb56906..75b3663 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_main.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_main.c
@@ -2968,8 +2968,3 @@ void ewarn(struct ixgbe_hw *hw, const char *st, u32 status)
 
 	netif_warn(adapter, drv, adapter->netdev,  "%s", st);
 }
-
-
-
-
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_sriov.h b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_sriov.h
index b1cc9d0..5e3559f 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_sriov.h
+++ b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_sriov.h
@@ -71,4 +71,3 @@ void ixgbe_dump_registers(struct ixgbe_adapter *adapter);
 #define IXGBE_DEV_ID_X540_VF			0x1515
 
 #endif /* _IXGBE_SRIOV_H_ */
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_x540.c b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_x540.c
index efffe6f..b99d9e8 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_x540.c
+++ b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/ixgbe_x540.c
@@ -188,12 +188,12 @@ s32 ixgbe_reset_hw_X540(struct ixgbe_hw *hw)
 {
 	s32 status = 0;
 
-	/* 
-	 * Userland DPDK takes the ownershiop of device 
+	/*
+	 * Userland DPDK takes the ownershiop of device
 	 * Kernel driver here used as the simple path for ethtool only
 	 * Won't real reset device anyway
 	 */
-#if 0 
+#if 0
 	u32 ctrl, i;
 
 	/* Call adapter stop to disable tx/rx and clear interrupts */
@@ -935,4 +935,3 @@ s32 ixgbe_blink_led_stop_X540(struct ixgbe_hw *hw, u32 index)
 
 	return 0;
 }
-
diff --git a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/kcompat.h b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/kcompat.h
index e327d65..bf27579 100644
--- a/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/kcompat.h
+++ b/lib/librte_eal/linuxapp/kni/ethtool/ixgbe/kcompat.h
@@ -1133,7 +1133,7 @@ static inline struct device *pci_dev_to_dev(struct pci_dev *pdev)
 	return (struct device *) pdev;
 }
 
-#define pdev_printk(lvl, pdev, fmt, args...) 	\
+#define pdev_printk(lvl, pdev, fmt, args...)	\
 	printk("%s %s: " fmt, lvl, pci_name(pdev), ## args)
 #define dev_err(dev, fmt, args...)            \
 	pdev_printk(KERN_ERR, to_pci_dev(dev), fmt, ## args)
diff --git a/lib/librte_eal/linuxapp/kni/kni_dev.h b/lib/librte_eal/linuxapp/kni/kni_dev.h
index e79e472..a0e5cb6 100644
--- a/lib/librte_eal/linuxapp/kni/kni_dev.h
+++ b/lib/librte_eal/linuxapp/kni/kni_dev.h
@@ -147,4 +147,3 @@ struct kni_vhost_queue {
 #endif
 
 #endif
-
diff --git a/lib/librte_eal/linuxapp/kni/kni_misc.c b/lib/librte_eal/linuxapp/kni/kni_misc.c
index 1935d32..2c411e2 100644
--- a/lib/librte_eal/linuxapp/kni/kni_misc.c
+++ b/lib/librte_eal/linuxapp/kni/kni_misc.c
@@ -607,4 +607,3 @@ MODULE_PARM_DESC(kthread_mode,
 "    multiple  Multiple kernel thread mode enabled.\n"
 "\n"
 );
-
diff --git a/lib/librte_eal/linuxapp/kni/kni_vhost.c b/lib/librte_eal/linuxapp/kni/kni_vhost.c
index 83d3351..e01420a 100644
--- a/lib/librte_eal/linuxapp/kni/kni_vhost.c
+++ b/lib/librte_eal/linuxapp/kni/kni_vhost.c
@@ -356,7 +356,7 @@ static int
 kni_sock_sndmsg(struct kiocb *iocb, struct socket *sock,
 	   struct msghdr *m, size_t total_len)
 {
- 	struct kni_vhost_queue *q =
+	struct kni_vhost_queue *q =
 		container_of(sock->sk, struct kni_vhost_queue, sk);
 	int vnet_hdr_len = 0;
 	unsigned long len = total_len;
@@ -829,4 +829,3 @@ kni_vhost_init(struct kni_dev *kni)
 
 	return 0;
 }
-
diff --git a/lib/librte_kni/rte_kni.h b/lib/librte_kni/rte_kni.h
index 44240fe..603e2cd 100644
--- a/lib/librte_kni/rte_kni.h
+++ b/lib/librte_kni/rte_kni.h
@@ -305,4 +305,3 @@ extern void rte_kni_close(void);
 #endif
 
 #endif /* _RTE_KNI_H_ */
-